Aadhaar eKYC V1 — Start Session
Start an Offline Aadhaar eKYC session with captcha verification. Returns a session ID and captcha image to begin the consent flow.
curl -X GET "https://production.deepvue.tech/v1/ekyc/aadhaar/connect?consent=example_string&purpose=example_string" \
-H "Content-Type: application/json" \
-H "x-api-key: YOUR_API_KEY" \
-H "client-id: YOUR_API_KEY"
import requests
import json
url = "https://production.deepvue.tech/v1/ekyc/aadhaar/connect?consent=example_string&purpose=example_string"
headers = {
"Content-Type": "application/json",
"x-api-key": "YOUR_API_KEY",
"client-id": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://production.deepvue.tech/v1/ekyc/aadhaar/connect?consent=example_string&purpose=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"x-api-key": "YOUR_API_KEY",
"client-id": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://production.deepvue.tech/v1/ekyc/aadhaar/connect?consent=example_string&purpose=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("x-api-key", "YOUR_API_KEY")
req.Header.Set("client-id", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://production.deepvue.tech/v1/ekyc/aadhaar/connect?consent=example_string&purpose=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['x-api-key'] = 'YOUR_API_KEY'
request['client-id'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"code": 200,
"timestamp": 1738303175394,
"transaction_id": "f5d8e48f477f4116967a6be4d97a7769",
"data": {
"session_id": "17568923be1441a9b05c7af693e92aa5",
"captcha": "/9j/4AAQSkZJRgABAQAAAQABAAD/..."
}
}
{
"detail": "Inactive client_id"
}
{
"detail": "Not authenticated"
}
{
"detail": "Not a valid token"
}
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}
{
"detail": "Internal Server Error"
}
{
"code": null,
"timestamp": null,
"transaction_id": "string",
"message": "Unable to create a session"
}
/v1/ekyc/aadhaar/connect
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
The CLIENT_ID provided to you. This header parameter is required for authentication purposes.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
API Key for authentication. The CLIENT_ID provided to you. This header parameter is required for authentication purposes.
Query Parameters
Responses
Per UIDAI regulations, sharing and storage of Aadhaar numbers is prohibited. Service providers must not distribute, publish, or display the share code, XML file, or its contents with anyone else. Non-compliance may result in actions under The Aadhaar (Authentication) Regulation, 2016, The Aadhaar (Sharing of Information) Regulation, 2016, and The Aadhaar Act, 2016.
Customer consent must be stored at your end before proceeding with verification.
Last updated 4 weeks ago
Built with Documentation.AI